iscsi_log_priority_str(3)

NAME
iscsi_log_priority_str - Convert log priority to string.

SYNOPSIS
const char * iscsi_log_priority_str (int priority);

ARGUMENTS

priority
    int. Log priority.

DESCRIPTION

Convert log priority to string (const char *).

RETURN
const char *. Please don't free returned pointer. Valid string are:

* "ERROR" for LIBISCSI_LOG_PRIORITY_ERROR

* "WARN" for LIBISCSI_LOG_PRIORITY_WARNING

* "INFO" for LIBISCSI_LOG_PRIORITY_INFO

* "DEBUG" for LIBISCSI_LOG_PRIORITY_DEBUG

* "Invalid argument" for invalid log priority.